<style lang="less" src="./assets/css/main.less"></style>
<style lang="less">
@import './assets/css/vars.less';
.rootView {
    position: relative;
    background: white none no-repeat 0 0;
    background-image: url('@/assets/img/spot.png'),
            url('@/assets/img/spot.png');
    background-position: calc(50% + 503px) -369px,
        calc(50% + 10px) -615px;
    box-sizing: border-box;
    width: 100%;
    min-height: 100vh;
    min-width: 1000px;
    overflow: hidden;
    overflow-y: auto;
    margin: 0 auto;
    display: flex;
    flex-flow: column nowrap;
    align-items: stretch;
    justify-content: stretch;

    &__header {
        position: relative;
        margin: 70px 0 220px;
    }

    &__bodyer {
        position: relative;
        flex: 1 1 100%;
        .section + .section {margin-top: 7.5rem}
    }

    &__footer {
        position: relative;
        margin: 160px 0 0;
    }

    &__modal {
        display: flex;
        flex-flow: column nowrap;
        align-items: center;
        justify-content: center;
        z-index: 5;
        position: fixed;
        left:0;width:100%;
        top:0;height:100%;
        overflow: hidden;
        background: rgba(0, 0, 0, .5);
        backdrop-filter: saturate(150%) blur(10px);
        background: white;
        &:empty {display: none}
    }

    .spot {
        position: absolute;
        left: 20%;
        top: 200px;
        background: transparent url('@/assets/img/spot.png') no-repeat 0 0;
        background-size: 100% 100%;
        &1, &2, &3 {
            margin: 2386px 0 0 840px;
            top: 0;
            right: 0;
            width: 1155px;
            height: 730px;
            transform: rotate(-50deg) scaleY(-1);
        }
        &2 {
            right: auto; left: 0;
            margin: 4080px 0 0 -570px;
        }
        &3 {
            margin: 4853px 0 0 1010px;
        }
    }
}
</style>

<template>
<div class="rootView">
    <s class="spot spot1" />
    <s class="spot spot2" />
    <s class="spot spot3" />

    <div class="rootView__header">
        <SiteHeader @clickShowContact='showContact = true'/>
    </div>

    <div class="rootView__modal">
        <ModalContact
            v-if='showContact'
            @close='showContact = false'/>
    </div>

    <div class="rootView__bodyer">

        <section class="section">
            <div>
                <SectionIntro />
            </div>
        </section>

        <section class="section" id="about">
            <div>
                <SectionAbout />
            </div>
        </section>

        <section class="section">
            <div>
                <SectionFactors />
            </div>
        </section>

        <section class="section" id="services">
            <div>
                <SectionServices />
            </div>
        </section>

        <SectionLocations id="locations"/>

        <section class="section">
            <div>
                <SectionAdvantages />
            </div>
        </section>

        <SectionSubscribe />

        <section class="section">
            <div>
                <h2>Roadmap in Months</h2>
                <SectionRoadmap />
            </div>
        </section>

        <section class="section">
            <div>
                <h2>This is our amazing team</h2>
                <SectionTeam />
            </div>
        </section>


    </div>

    <div class="rootView__footer">
        <SiteFooter />
    </div>

</div>
</template>

<script lang="ts">
import {Vue, Options, defineAsyncComponent} from '@/vue';
import SiteFooter from '@/views/Footer.vue';
import SiteHeader from '@/views/Header.vue';
import SectionIntro from '@/views/resort/Intro.vue';
import SectionAbout from '@/views/resort/About.vue';
import SectionTeam from '@/views/resort/Team.vue';
import SectionFactors from '@/views/resort/Factors.vue';
import SectionServices from '@/views/resort/Services.vue';
import SectionRoadmap from '@/components/Roadmap.vue';
import SectionLocations from '@/views/resort/Locations.vue';
import SectionSubscribe from '@/views/resort/Subscribe.vue';
import SectionAdvantages from '@/views/resort/Advantages/index.vue';

@Options<App>({
    components: {
        SiteHeader,
        SiteFooter,
        SectionIntro,
        SectionAbout,
        SectionFactors,
        SectionServices,
        SectionLocations,
        SectionSubscribe,
        SectionTeam,
        SectionRoadmap,
        SectionAdvantages,
        ModalContact: defineAsyncComponent(() => import(
            /* webpackChunkName: "modal-contact" */
            /* webpackMode: "lazy" */
            '@/components/ModalContact/index.vue'
        )),
    },
}) export default class App extends Vue {
    showContact:boolean = false;
}
</script>
